package com.taais.biz.domain;

import jakarta.validation.constraints.NotEmpty;
import jakarta.validation.constraints.NotNull;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @Datetime : 2023/12/5 12:13
 * @Author : WANGKANG
 * @Email : 1686617586@qq.com
 * @File : TaskTrackResultBo.java
 * @Brief :
 * Copyright 2023 WANGKANG, All Rights Reserved.
 */

@Data
@AllArgsConstructor
@NoArgsConstructor
public class TaskTrackResultBo {
    @NotNull(message = "status不能为空")
    private String status;
    private String msg;
    @NotNull(message = "id不能为空")
    private Long bizId;

    @NotEmpty(message = "bizType不能为空")
    private String bizType;
}
