package com.taais.biz.domain.vo;

import java.util.Date;
import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import com.taais.biz.domain.DataAugmentation;
import io.github.linpeilie.annotations.AutoMapper;
import lombok.Data;
import lombok.EqualsAndHashCode;
import java.io.Serial;
import java.io.Serializable;
import com.taais.common.orm.core.domain.BaseEntity;

/**
 * 任务字典数据
 *
 * @author tanlun
 * 2024-11-14
 */
@Data
@ExcelIgnoreUnannotated
@EqualsAndHashCode(callSuper = true)
public class TaskDictDataVo extends BaseEntity implements Serializable {

    @Serial
    private static final long serialVersionUID = 1L;
    private String taskType;
    private String hyperparameterConfiguration;

}
