package com.taais.system.domain;

import com.mybatisflex.annotation.Id;
import com.mybatisflex.annotation.Table;
import com.taais.common.orm.core.domain.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serial;

/**
 * 导入导出日志对象 sys_import_export_t
 *
 * @author wgk
 * @date 2024-10-21
 */
@Data
@EqualsAndHashCode(callSuper = true)
@Table(value = "sys_import_export_t")
public class ImportExport extends BaseEntity {
    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * 唯一编码
     */
    @Id
    private Long id;

    /**
     * 类型（0导入 1导出）
     */
    private String type;

    /**
     * 文件名称
     */
    private String name;

    /**
     * 文件地址
     */
    private String url;

    /**
     * 状态
     */
    private Long ossId;

    /**
     * 日志信息
     */
    private String logInfo;

    /**
     * 状态
     */
    private String status;


}
