package com.taais.biz.domain;

import lombok.*;

import java.io.Serial;

import lombok.Data;

/**
 * 参数传输对象
 *
 * @author tanlun
 * 2024-10-14
 */
@Builder
@Data
@AllArgsConstructor
@NoArgsConstructor
public class TransmissionObject{
//    @Serial
//    private static final long serialVersionUID = 1L;

    /**
     * 任务类型
     */
    private String bizType;

    /**
     * 任务id
     */
    private Long bizId;

    /**
     * 日志文件保存地址
     */
    private String logPath;

    /**
     * 输入文件路径
     */
    private String sourcePath;
    /**
     * 结果保存路径
     */
    private String resultPath;
    /**
     * 其他参数
     */
    private String otherParams;

}
