package com.taais.biz.domain.bo;

import jakarta.validation.constraints.NotNull;
import lombok.*;
import net.bytebuddy.implementation.bind.annotation.Empty;

/**
 * @Datetime : 2024/10/11 12:13
 * @Author : tanlun
 * @Email : 2896808975@qq.com
 * @File : DataAugmentationStartResult.java
 * @Brief :
 */

@Builder
@Data
@NoArgsConstructor
@AllArgsConstructor
@EqualsAndHashCode()
public class DataAugmentationStartResultBo {
    @NotNull(message = "status不能为空")
    private String status;
    private String msg;
    @NotNull(message = "id不能为空")
    private Long id;
}
