package com.taais.biz.mapper;

import com.mybatisflex.core.BaseMapper;
import com.taais.biz.domain.vo.AlgorithmModelVo;
import org.apache.ibatis.annotations.Mapper;
import com.taais.biz.domain.AlgorithmModel;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 算法模型配置Mapper接口
 *
 * @author 0
 * 2024-05-29
 */
@Mapper
public interface AlgorithmModelMapper extends BaseMapper<AlgorithmModel> {

    String getModelNameBySubtaskId(@Param("subtaskId") Long subTaskId, @Param("algorithmId") Long algorithmId);

    List<AlgorithmModelVo> getModelByAlgorithmId(@Param("algorithmId") Long algorithmId);
    AlgorithmModelVo getModelById(@Param("id") Long id);
}
