package com.taais.system.domain.bo;

import com.taais.common.orm.core.domain.BaseEntity;
import com.taais.system.domain.ImportExport;
import io.github.linpeilie.annotations.AutoMapper;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 导入导出日志业务对象 sys_import_export_t
 *
 * @author wgk
 * @date 2024-10-21
 */
@Data
@EqualsAndHashCode(callSuper = true)
@AutoMapper(target = ImportExport.class, reverseConvertGenerate = false)
public class ImportExportBo extends BaseEntity {
    /**
     * 唯一编码
     */
    private Long id;

    /**
     * 类型（0导入 1导出）
     */
    private String type;

    /**
     * 文件名称
     */
    private String name;

    /**
     * 日志信息
     */
    private String logInfo;

    /**
     * 状态
     */
    private String status;

    /**
     * 状态
     */
    private String url;

    /**
     * 状态
     */
    private Long ossId;


}
